package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/12/18
 */
public class StudentPauseInfo {

    private Integer id;

    private GroupType groupType;

    private Integer classGroupId;

    private Integer musicGroupId;

    private Integer userId;

    @ApiModelProperty(value = "学生休学时的剩余课程json")
    private String coursesJson;

    private Date createTime;

    private Date updateTime;

    private int delFlag;

    private int surplusCourseNum;

    public int getSurplusCourseNum() {
        return surplusCourseNum;
    }

    public void setSurplusCourseNum(int surplusCourseNum) {
        this.surplusCourseNum = surplusCourseNum;
    }

    public int getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(int delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getCoursesJson() {
        return coursesJson;
    }

    public void setCoursesJson(String coursesJson) {
        this.coursesJson = coursesJson;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
